### Struct

# Soup MessageHeadersIter

#### Description [src]

    struct SoupMessageHeadersIter {
      /* No available fields */
    }

An opaque type used to iterate over a %SoupMessageHeaders structure.

After intializing the iterator with `soup_message_headers_iter_init()`, call MessageHeadersIter.next to fetch data from it.

You may not modify the headers while iterating over them.

#### Functions

###### soup_message_headers_iter_init

Initializes `iter` for iterating `hdrs`.

###### soup_message_headers_iter_next

Yields the next name/value pair in the `SoupMessageHeaders` being iterated by `iter`.